import { AcsMode } from '~src/constants';
export interface Create3dsSessionRequest {
    tokenId?: string;
    tokenIntentId?: string;
    /**
     * @deprecated This property is deprecated in favor of `tokenId`
     */
    pan?: string;
    skipMethodRequest?: boolean;
    /**
     * @deprecated This property is deprecated and will be removed in the next major version.
     */
    methodRequestMode?: AcsMode;
    challengeMode?: AcsMode;
}
export type Create3dsSessionResponse = {
    id: string;
    cardBrand?: string;
    method_url?: string;
    method_notification_url?: string;
};
export declare const createSession: ({ tokenId, tokenIntentId, pan, skipMethodRequest, methodRequestMode, challengeMode, }: Create3dsSessionRequest) => Promise<{
    id: string;
    cardBrand?: string;
}>;
