export declare enum WindowSizeId {
    ONE = "01",
    TWO = "02",
    THREE = "03",
    FOUR = "04",
    FIVE = "05"
}
export type ThreeDSDeviceInfo = {
    browserAcceptHeader?: string;
    browserColorDepth?: string;
    browserIp?: string;
    browserJavascriptEnabled?: boolean;
    browserJavaEnabled?: boolean;
    browserLanguage?: string;
    browserScreenHeight?: string;
    browserScreenWidth?: string;
    browserTZ?: string;
    browserUserAgent?: string;
};
export declare const getColorDepth: () => number;
export declare const getDeviceInfo: () => ThreeDSDeviceInfo;
export declare const getWindowSizeById: (challengeWindowSize?: WindowSizeId) => [string, string];
