export declare enum NotificationType {
    METHOD = "method",
    CHALLENGE = "challenge",
    METHOD_TIME_OUT = "methodTimeout",
    START_METHOD_TIME_OUT = "startMethodTimeout",
    ERROR = "error"
}
export type Notification = {
    isCompleted: boolean;
    id: string;
    type: NotificationType;
    details?: string;
};
export declare const notify: (notification: Notification) => void;
export declare const isNotification: (obj: unknown) => obj is Notification;
