type AttributeMap = Record<string, string>;
export declare const configureLogger: ({ disableTelemetry: disableTelemetryArg }: {
    disableTelemetry: boolean;
}) => void;
export declare const logger: {
    log: {
        error: (message: string, error?: Error, attributes?: AttributeMap) => Promise<void>;
        info: (message: string, attributes?: AttributeMap) => Promise<void>;
        warn: (message: string, attributes?: AttributeMap) => Promise<void>;
    };
};
export {};
